# Uses of Interface
org.eclipse.birt.report.engine.api.script.instance.IImageInstance

Packages that use IImageInstance
Package
Description
org.eclipse.birt.report.engine.api.script.eventadapter
This package contains adapters for the event handler interfaces in org.eclipse.birt.report.engine.api.script.eventhandler.
org.eclipse.birt.report.engine.api.script.eventhandler
This package contains event handler interfaces for the BIRT scripting environment.

## Uses of IImageInstance in org.eclipse.birt.report.engine.api.script.eventadapter

Methods in org.eclipse.birt.report.engine.api.script.eventadapter with parameters of type IImageInstance
Modifier and Type
Method
Description
`void`
ImageEventAdapter.`onCreate(IImageInstance image, IReportContext reportContext)`
`void`
ImageEventAdapter.`onPageBreak(IImageInstance image, IReportContext reportContext)`
`void`
ImageEventAdapter.`onRender(IImageInstance image, IReportContext reportContext)`

## Uses of IImageInstance in org.eclipse.birt.report.engine.api.script.eventhandler

Methods in org.eclipse.birt.report.engine.api.script.eventhandler with parameters of type IImageInstance
Modifier and Type
Method
Description
`void`
IImageEventHandler.`onCreate(IImageInstance image, IReportContext reportContext)`
Handle the onCreate event
`void`
IImageEventHandler.`onPageBreak(IImageInstance image, IReportContext reportContext)`
Handle the onPageBreak event
`void`
IImageEventHandler.`onRender(IImageInstance image, IReportContext reportContext)`
Handle the onRender event